- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::date_base Class Reference

A date representation. More...

`#include <sbuild-types.h>`

Inheritance diagram for sbuild::date_base:

[legend]
List of all members.

## Public Types
typedef std::tm *(*) | break_time_func (const time_t *timep, std::tm *result)
| Function pointer to split time into a std::tm.
## Public Member Functions
| date_base (time_t unix_time, break_time_func break_time)
| The constructor.
| ~date_base ()
| The destructor.
## Static Private Member Functions
static const char * | get_date_format ()
| Get the date formatting string.
## Private Attributes
time_t | unix_time
| The time.
break_time_func | break_time
| The function to split up the time.
## Friends
template<class charT, class traits>
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &stream, date_base const &dt)
| Output the date to an ostream.

## Detailed Description

A date representation.

## Member Typedef Documentation

typedef std::tm*(*) sbuild::date_base::break_time_func(const time_t *timep, std::tm *result)

Function pointer to split time into a std::tm.

## Constructor & Destructor Documentation

sbuild::date_base::date_base | ( | time_t | unix_time,
|  | break_time_func | break_time |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | unix_time | the time.
  | break_time | the function to split up the time.

sbuild::date_base::~date_base | ( |  | ) | `[inline]`

The destructor.

## Member Function Documentation

const char * sbuild::date_base::get_date_format | ( |  | ) | `[static, private]`

Get the date formatting string.

This is used for output with the locale std::time_put facet.

Returns:
  a localised format string.

## Friends And Related Function Documentation

template<class charT, class traits>

std::basic_ostream<charT,traits>& operator<< | ( | std::basic_ostream< charT, traits > & | stream,
|  | date_base const & | dt |
| ) |  |  | `[friend]`

Output the date to an ostream.

Parameters:

  | stream | the stream to output to.
  | dt | the date to output.

Returns:
  the stream.

## Member Data Documentation

break_time_func sbuild::date_base::break_time`[private]`

The function to split up the time.

time_t sbuild::date_base::unix_time`[private]`

The time.

The documentation for this class was generated from the following files:

- sbuild/sbuild-types.h
- sbuild/sbuild-types.cc